##### 7.7.4.0. arrange

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  arrange(p); int p

Return:
  ring

Purpose:
  set up the polynomial, describing a hyperplane arrangement

Note:
  must be executed in a commutative ring

Assume:
  basering is present and it is commutative

Example:

    LIB "dmod.lib";
    ring X = 0,(x,y,z,t),dp;
    poly q = arrange(3);
    factorize(q,1);
    ==> _[1]=x
    ==> _[2]=x+z
    ==> _[3]=y
    ==> _[4]=y+z
    ==> _[5]=x+y
    ==> _[6]=x+y+z
    ==> _[7]=z

User manual for Singular version 4-0-3, 2016, generated by texi2html.